## 开发

``` bash
# 全局配置 如全局变量、全局方法、全局自定义组件，请于 src/global文件夹中维护

1. 使用 element-ui时，单一项目的规则相对固定，如需修改element组件默认属性，请前往src/global/element.js中修改
  例：所有的日期时间组件，单一项目中默认都取 'yyyy-MM-dd' 格式，可配置成
  Element.DatePicker.props.format = { type: String, default: "yyyy-MM-dd" };
  Element.DatePicker.props.valueFormat = { type: String, default: "yyyy-MM-dd" };

2. 全局css存储与src/assets/styles文件夹中
  单项目全局自定义class样式建议在ruoyi.scss中修改
  单项目全局原生组件class样式，建议在index.scss中修改
  使用 element-ui时，单一项目的样式主体相对统一，如需修改，可在element-variables.scss中修改
  菜单栏样式可在variables.scss中修改
  element-ui原生组件样式全局修改，建议于element-ui.scss中修改

3. 工具方法，存储于src/utils文件夹中
  开发中可按需引入工具方法

# 指令使用
v-jtrim 去除输入框输入的所有空格
v-jclick 点击节流

# 混入使用
类似后端继承，可继承属性和方法，在单页面中引用后，可重写覆盖

```

## 标准
1. `icon`使用
    * `element-ui`自带的用`icon`
    * 非自带的用`svg-icon`
2. 标准页面参考`base -> basePage`
3. 标准组件参考`base -> components`
4. 启用`eslint`
    * `Strings must use singlequote`
    * `Attribute "key" should go before "prop"`
    * `Attribute "v-jclick" should go before "type"`
    * `Expected '===' and instead saw '=='`
    * `'params' is never reassigned. Use 'const' instead`